/* $Workfile: $   $Revision: $    $Modtime: $  */
/*--------------------------------------------------------------------------*\

  Odin TeleSystems Inc.

  SAA-1007-1 OTX DSP C54x Software Development Kit (SDK)

  Linker Command file for the OTX DSP C54x SDK Demo2 application.	 

  Targeted for the C548/C549 DSPs. Near mode.

\*--------------------------------------------------------------------------*/

/*********************************\
    .obj files to be linked
\*********************************/
"549\DspDemo2.obj"
"549\Dsp54Api.obj"
"549\Dsp54Laws.obj"
"549\Dsp54Vecs.obj"

/*********************************\
    Linker options
\*********************************/
-c                         /* C runtime environment init (ROM model) */
-o "549\DspDemo2.out"      /* output file */
-m "549\DspDemo2.map"      /* map file    */
-l rts.lib                 /* library for C compiler */
-f 0

-stack 0x100
-heap 0x200


/*********************************\
    Memory Configuration
\*********************************/
MEMORY
{
        PAGE 0: VECS    (RWX)  : origin = 0180h, length = 0080h
                PROG    (RWX)  : origin = 4200h, length = 3E00h
                CINIT   (RWX)  : origin = 0500h, length = 0200h

        PAGE 1: STACK   (RW)   : origin = 0200h, length = 0100h
                HEAP    (RW)   : origin = 0300h, length = 0200h
                AUTOBUF (RW)   : origin = 0800h, length = 0800h
                HPI     (RW)   : origin = 1000h, length = 0800h
                DATA    (RW)   : origin = 2000h, length = 2200h
}



SECTIONS
{
        .text   : > PROG        PAGE 0
        .cinit  : > CINIT       PAGE 0
        .switch : > CINIT       PAGE 0
        vectors : > VECS        PAGE 0

        .const  : > DATA        PAGE 1
        .bss    : > DATA        PAGE 1
        .stack  : > STACK       PAGE 1
        .sysmem : > HEAP        PAGE 1
        .data   : > DATA        PAGE 1

        tables  : > DATA        PAGE 1
        buffer  : > DATA        PAGE 1
        autobuff: > AUTOBUF     PAGE 1
}
